> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Wishlists

GET https://api.bigcommerce.com/stores/{store_hash}/v3/wishlists

Returns a list of wishlists. Optional filter parameters can be passed in.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/wishlists/get-wishlists

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `customer_id` (integer, optional) — All wishlists relating to the customer.
- `page` (integer, optional, default: 1) — The page number of results to return. 1 is the default and starts from record 0. Use in conjunction with the limit query parameter to request a specific set of records.
- `limit` (integer, optional, default: 50) — The number of items to return per page. Default is 50 and maximum is 250.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `data` (list of wishlist_Full, optional)
- `meta` (metaCollection, optional)

## Errors

### 401 Unauthorized Error

Authentication information is missing or invalid.

- `status` (integer, optional)
- `title` (string, optional)
- `type` (string, optional)

### 500 Internal Server Error

Internal server error.

- `status` (integer, optional)
- `title` (string, optional)
- `type` (string, optional)

## Types

### wishlist_Full

- `id` (integer, optional) — Wishlist ID, provided after creating a wishlist with a POST.
- `customer_id` (integer, optional) — The ID the customer to which the wishlist belongs.
- `name` (string, optional) — The name of the wishlist.
- `is_public` (boolean, optional) — Whether the wishlist is available to the public.
- `token` (string, optional) — The token of the wishlist. This is created internally within BigCommerce. The wishlist ID is to be used for external apps. Read-Only.
- `items` (list of wishlistItem_Full, optional) — Array of wishlist items.

### metaCollection

- `pagination` (pagination, optional) — Data about the response, including pagination and collection totals.

### wishlistItem_Full

- `id` (integer, optional) — The ID of the item.
- `product_id` (integer, optional) — The ID of the product.
- `variant_id` (integer, optional) — The variant ID of the product.

### pagination

Data about the response, including pagination and collection totals.

- `total` (integer, optional) — Total number of items in the result set.
- `count` (integer, optional) — Total number of items in the collection response.
- `per_page` (integer, optional) — The amount of items returned in the collection per page, controlled by the limit parameter.
- `current_page` (integer, optional) — The page you are currently on within the collection.
- `total_pages` (integer, optional) — The total number of pages in the collection.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "customer_id": 4,
      "name": "My Wish List",
      "is_public": false,
      "token": "02d55481-13eb-4d1e-9d79-9062b518570d",
      "items": []
    },
    {
      "id": 2,
      "customer_id": 11,
      "name": "Christmas",
      "is_public": false,
      "token": "02d55481-13eb-4d1e-9d79-9062b518570d",
      "items": [
        {
          "id": 1,
          "product_id": 167
        },
        {
          "id": 2,
          "product_id": 174
        },
        {
          "id": 3,
          "product_id": 184
        }
      ]
    },
    {
      "id": 3,
      "customer_id": 20,
      "name": "Birthday",
      "is_public": false,
      "token": "02d55481-13eb-4d1e-9d79-9062b518570d",
      "items": [
        {
          "id": 4,
          "product_id": 184
        },
        {
          "id": 5,
          "product_id": 183
        }
      ]
    },
    {
      "id": 4,
      "customer_id": 20,
      "name": "Christmas",
      "is_public": false,
      "token": "02d55481-13eb-4d1e-9d79-9062b518570d",
      "items": [
        {
          "id": 6,
          "product_id": 201
        }
      ]
    },
    {
      "id": 5,
      "customer_id": 19,
      "name": "Wish List",
      "is_public": false,
      "token": "02d55481-13eb-4d1e-9d79-9062b518570d",
      "items": [
        {
          "id": 7,
          "product_id": 173
        },
        {
          "id": 8,
          "product_id": 176
        }
      ]
    }
  ],
  "meta": {
    "pagination": {
      "total": 0,
      "count": 5,
      "per_page": 50,
      "current_page": 1,
      "total_pages": 0
    }
  }
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/wishlists"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/wishlists';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/wishlists"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/wishlists")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/wishlists")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/wishlists', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/wishlists");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/wishlists")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```